End of September milestone: Start migration of production use cases.
Open, NormalPublic

Description

  • mobileapps use cases are double-writing to the new schema, on the Cassandra 3 production cluster.
  • We are collecting information that lets us confidently switch use cases in Q2.
GWicke created this task.Jul 6 2017, 10:52 PM
GWicke edited projects, added Services (later); removed Services (doing).
Eevans triaged this task as Normal priority.Jul 7 2017, 6:43 PM
Eevans changed the task status from Stalled to Open.Thu, Sep 7, 7:04 PM
Eevans edited projects, added Services (doing); removed Services (later).
Eevans updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2017-09-07T21:00:19Z] <urandom> T169940: Disabling changeprop in RESTBase dev environment

Mentioned in SAL (#wikimedia-operations) [2017-09-07T21:01:32Z] <urandom> T169940: Disabling puppet and restbase service in RESTBase dev

Mentioned in SAL (#wikimedia-operations) [2017-09-08T08:11:10Z] <mobrovac> restbase enabled back puppet in the dev cluster - T169940

Mentioned in SAL (#wikimedia-operations) [2017-09-08T08:11:55Z] <mobrovac@tin> Started deploy [restbase/deploy@0d39acf] (dev-cluster): Use double writing for mobileapps in the dev cluster - T169940

Mentioned in SAL (#wikimedia-operations) [2017-09-08T09:07:00Z] <mobrovac@tin> Started deploy [restbase/deploy@0d39acf] (dev-cluster): Use double writing for mobileapps in the dev cluster, take #2 - T169940

Mentioned in SAL (#wikimedia-operations) [2017-09-08T09:08:01Z] <mobrovac@tin> Finished deploy [restbase/deploy@0d39acf] (dev-cluster): Use double writing for mobileapps in the dev cluster, take #2 - T169940 (duration: 01m 01s)

Change 378912 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/restbase/deploy@master] Config: Add the table_ng options and new storage groups

https://gerrit.wikimedia.org/r/378912

Mentioned in SAL (#wikimedia-operations) [2017-09-19T18:35:21Z] <urandom> T160570, T169940: Upgrade restbase-ng environment to Cassandra 3.11.0-wmf5

Change 378912 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Config: Add the table_ng options and new storage groups

https://gerrit.wikimedia.org/r/378912

Change 379217 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] RESTBase: Separate eqiad and codfw seeds

https://gerrit.wikimedia.org/r/379217

Mentioned in SAL (#wikimedia-operations) [2017-09-20T11:51:11Z] <mobrovac@tin> Started deploy [restbase/deploy@dea2b41]: New storage schema for mobile-sections, canary deploy for schema creation - T169940

Mentioned in SAL (#wikimedia-operations) [2017-09-20T11:58:32Z] <mobrovac@tin> Finished deploy [restbase/deploy@dea2b41]: New storage schema for mobile-sections, canary deploy for schema creation - T169940 (duration: 07m 20s)

Change 379217 merged by Filippo Giunchedi:
[operations/puppet@production] RESTBase: Separate eqiad and codfw seeds

https://gerrit.wikimedia.org/r/379217

Change 379223 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] Cassandra: Allow extra hosts to access the cluster via CQL

https://gerrit.wikimedia.org/r/379223

Change 379223 merged by Filippo Giunchedi:
[operations/puppet@production] Cassandra: Allow extra hosts to access the cluster via CQL

https://gerrit.wikimedia.org/r/379223

Mentioned in SAL (#wikimedia-operations) [2017-09-21T07:27:09Z] <mobrovac@tin> Started deploy [restbase/deploy@3e9bd9f]: New storage schema for mobile-sections, canary deploy for schema creation, take 2 - T169940

Mentioned in SAL (#wikimedia-operations) [2017-09-21T07:27:39Z] <mobrovac@tin> Finished deploy [restbase/deploy@3e9bd9f]: New storage schema for mobile-sections, canary deploy for schema creation, take 2 - T169940 (duration: 00m 30s)

Mentioned in SAL (#wikimedia-operations) [2017-09-21T07:57:44Z] <mobrovac@tin> Started deploy [restbase/deploy@3e9bd9f]: New storage schema for mobile-sections - T169940

Mentioned in SAL (#wikimedia-operations) [2017-09-21T08:08:12Z] <mobrovac@tin> Finished deploy [restbase/deploy@3e9bd9f]: New storage schema for mobile-sections - T169940 (duration: 10m 28s)